﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DGL_Löser
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Löser löser = new EulerVerfahren(0.01);
            DGL dgl = new meineZweiteDGL();
            double t0 = 0.0;
            double t1 = 10.0;
            List<Punkt> punkte = löser.Löse(dgl, t0, 1.0, t1);
            double xMax = punkte.Max(p => p.X);
            double xMin = punkte.Min(p => p.X);

            Polyline poly = new Polyline();
            poly.Stroke = Brushes.Black;
            poly.StrokeThickness = 1.0;
            foreach (var punkt in punkte)
            {
                poly.Points.Add(new Point((punkt.T - t0) / (t1 - t0) * zeichenfläche.ActualWidth,
                                          (xMax - punkt.X) / (xMax - xMin) * zeichenfläche.ActualHeight));
            }
            zeichenfläche.Children.Add(poly);
        }
    }
}
